import { getRequest, postRequest, deleteRequest } from '../../../helpers/request.js';

var urlMaker = function urlMaker(params) {
  return "v0/portal/users/".concat(params.userEmail, "/permissions/").concat(params.permission);
};

export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var post = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : postRequest;
  var del = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : deleteRequest;
  return {
    get: get(urlMaker),
    post: post(urlMaker),
    "delete": del(urlMaker)
  };
};