"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.raioXCancel = exports.raioXCancellationReasons = exports.raioXAvailableAcquirers = exports.raioXStatus = exports.raioXInfo = void 0;

var _status = require("./raioX/status/status.js");

var _availableacquirers = require("./raioX/availableacquirers/availableacquirers.js");

var _info = require("./raioX/info/info.js");

var _cancellationReasons = require("./raioX/cancellationReasons/cancellationReasons.js");

var _cancel = require("./raioX/cancel/cancel.js");

const raioXStatus = (0, _status.service)();
exports.raioXStatus = raioXStatus;
const raioXAvailableAcquirers = (0, _availableacquirers.service)();
exports.raioXAvailableAcquirers = raioXAvailableAcquirers;
const raioXInfo = (0, _info.service)();
exports.raioXInfo = raioXInfo;
const raioXCancellationReasons = (0, _cancellationReasons.service)();
exports.raioXCancellationReasons = raioXCancellationReasons;
const raioXCancel = (0, _cancel.service)();
exports.raioXCancel = raioXCancel;