import { service as statusService } from './raioX/status/status.js';
import { service as availableAcquirersService } from './raioX/availableacquirers/availableacquirers.js';
import { service as infoService } from './raioX/info/info.js';
import { service as cancellationReasons } from './raioX/cancellationReasons/cancellationReasons.js';
import { service as cancel } from './raioX/cancel/cancel.js';

const raioXStatus = statusService();
const raioXAvailableAcquirers = availableAcquirersService();
const raioXInfo = infoService();
const raioXCancellationReasons = cancellationReasons();
const raioXCancel = cancel();

export {
  raioXInfo,
  raioXStatus,
  raioXAvailableAcquirers,
  raioXCancellationReasons,
  raioXCancel,
};
