import { getRequest, postRequest, deleteRequest } from '../../../helpers/request.js';

const urlMaker = params =>
  `v0/portal/users/${params.userEmail}/permissions/${params.permission}`;

export const service = (
  get = getRequest,
  post = postRequest,
  del = deleteRequest,
) => ({
  get: get(urlMaker),
  post: post(urlMaker),
  delete: del(urlMaker),
});
